Bug 465630 - man command fails under root in F10 Beta LiveCD
man command fails under root in F10 Beta LiveCD
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: man (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-04 16:29 EDT by J Gallagher
Modified: 2013-01-09 23:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-06 04:25:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J Gallagher 2008-10-04 16:29:16 EDT
Description of problem:
typing 'man <command>' as root generates errors in F10 Beta LiveCD

Version-Release number of selected component (if applicable):
man-1.6f-9.fc10.i386

How reproducible:
Boot up a F10 Beta LiveCD, switch to root in a terminal and use 'man'

Steps to Reproduce:
1. switch to root 'su -', type 'man <command>'

  
Actual results:
[root@localhost ~]# man synaptics
Formatting page, please wait...
sh: /usr/bin/lzma: No such file or directory
Error executing formatting or display command.
System command (cd /usr/share/man && (echo ".pl 1100i"; /usr/bin/gunzip -c '/usr/share/man/man4/synaptics.4.gz'; echo ".\\\""; echo ".pl \n(nlu+10") | /usr/bin/gtbl | /usr/bin/nroff -c -mandoc 2>/dev/null | /usr/bin/lzma > /var/cache/man/cat4/synaptics.4.lzma) exited with status 32512.


Expected results:
man page for synaptics


Additional info: 
works ok if you are user 'fedora'
Comment 1 Ivana Varekova 2008-10-06 04:25:19 EDT
man-1.6f-10.fc10.

Note You need to log in before you can comment on or make changes to this bug.